/*******************************************************************************
 * Copyright (c) 2006-2010 
 * Software Technology Group, Dresden University of Technology
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Software Technology Group - TU Dresden, Germany 
 *      - initial API and implementation
 ******************************************************************************/

package org.emftext.language.java.resource.java.mopp;

public class JavaProblem implements org.emftext.language.java.resource.java.IJavaProblem {
	
	private java.lang.String message;
	private org.emftext.language.java.resource.java.JavaEProblemType type;
	
	public JavaProblem(java.lang.String message, org.emftext.language.java.resource.java.JavaEProblemType type) {
		super();
		this.message = message;
		this.type = type;
	}
	
	public org.emftext.language.java.resource.java.JavaEProblemType getType() {
		return type;
	}
	
	public java.lang.String getMessage() {
		return message;
	}
	
}
