/*******************************************************************************
 * Copyright (c) 2006-2010 
 * Software Technology Group, Dresden University of Technology
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Software Technology Group - TU Dresden, Germany 
 *      - initial API and implementation
 ******************************************************************************/

package org.emftext.language.java.resource.java.mopp;

public class JavaMetaInformation implements org.emftext.language.java.resource.java.IJavaMetaInformation {
	
	public java.lang.String getSyntaxName() {
		return "java";
	}
	
	public java.lang.String getURI() {
		return "http://www.emftext.org/java";
	}
	
	public org.emftext.language.java.resource.java.IJavaTextScanner createLexer() {
		return new org.emftext.language.java.resource.java.mopp.JavaAntlrScanner(new org.emftext.language.java.resource.java.mopp.JavaLexer());
	}
	
	public org.emftext.language.java.resource.java.IJavaTextParser createParser(java.io.InputStream inputStream, java.lang.String encoding) {
		return new org.emftext.language.java.resource.java.mopp.JavaParser().createInstance(inputStream, encoding);
	}
	
	public org.emftext.language.java.resource.java.IJavaTextPrinter createPrinter(java.io.OutputStream outputStream, org.emftext.language.java.resource.java.IJavaTextResource resource) {
		return new org.emftext.language.java.resource.java.mopp.JavaPrinter2(outputStream, resource);
	}
	
	public org.eclipse.emf.ecore.EClass[] getClassesWithSyntax() {
		return new org.emftext.language.java.resource.java.mopp.JavaSyntaxCoverageInformationProvider().getClassesWithSyntax();
	}
	
	public org.eclipse.emf.ecore.EClass[] getStartSymbols() {
		return new org.emftext.language.java.resource.java.mopp.JavaSyntaxCoverageInformationProvider().getStartSymbols();
	}
	
	public org.emftext.language.java.resource.java.IJavaReferenceResolverSwitch getReferenceResolverSwitch() {
		return new org.emftext.language.java.resource.java.mopp.JavaReferenceResolverSwitch();
	}
	
	public org.emftext.language.java.resource.java.IJavaTokenResolverFactory getTokenResolverFactory() {
		return new org.emftext.language.java.resource.java.mopp.JavaTokenResolverFactory();
	}
	
	public java.lang.String getPathToCSDefinition() {
		return "org.emftext.language.java/metamodel/java.cs";
	}
	
	public java.lang.String[] getTokenNames() {
		return new org.emftext.language.java.resource.java.mopp.JavaParser(null).getTokenNames();
	}
	
	public org.emftext.language.java.resource.java.IJavaTokenStyle getDefaultTokenStyle(java.lang.String tokenName) {
		return new org.emftext.language.java.resource.java.mopp.JavaTokenStyleInformationProvider().getDefaultTokenStyle(tokenName);
	}
	
	public java.util.Collection<org.emftext.language.java.resource.java.IJavaBracketPair> getBracketPairs() {
		return new org.emftext.language.java.resource.java.mopp.JavaBracketInformationProvider().getBracketPairs();
	}
	
	public org.eclipse.emf.ecore.EClass[] getFoldableClasses() {
		return new org.emftext.language.java.resource.java.mopp.JavaFoldingInformationProvider().getFoldableClasses();
	}
	
	public org.eclipse.emf.ecore.resource.Resource.Factory createResourceFactory() {
		return new org.emftext.language.java.resource.java.mopp.JavaResourceFactory();
	}
	
	public org.emftext.language.java.resource.java.mopp.JavaNewFileContentProvider getNewFileContentProvider() {
		return new org.emftext.language.java.resource.java.mopp.JavaNewFileContentProvider();
	}
	
}
